#import "MSLoadingViewController.h"

@interface MSLoadingViewController ()
@property (nonatomic) BOOL loading;
@end

@implementation MSLoadingViewController

- (id)initWithNibName:(NSString *)name bundle:(NSBundle *)bundle {
    if ((self = [super initWithNibName:name bundle:bundle])) {
        self.mapView.mapKey = [MREditorKey keyForMap:[MSExampleHost mapID] app:[MSExampleHost appID]];
    }
    return self;
}

#pragma mark - UIViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    UIBarButtonItem *button1 = [[UIBarButtonItem alloc] initWithTitle:@"Loading" style:UIBarButtonItemStylePlain target:self action:@selector(toggle)];
    self.navigationItem.rightBarButtonItems = @[button1];
}

#pragma mark - MSExampleViewController

+ (NSString *)exampleTitle {
    return @"Loading Indicator Visibility";
}

+ (NSString *)exampleInfo {
    return @"Map with a button to toggle the loading indicator.";
}

#pragma mark - Action

- (void)toggle {
    self.mapView.loading = !self.loading;
    self.loading = !self.loading;
}

@end
