#import "MSShowsButtonsViewController.h"

@implementation MSShowsButtonsViewController

- (id)initWithNibName:(NSString *)name bundle:(NSBundle *)bundle {
    if ((self = [super initWithNibName:name bundle:bundle])) {
        self.mapView.mapKey = [MREditorKey keyForMap:[MSExampleHost mapID] app:[MSExampleHost appID]];
        self.mapView.showsUserLocation = YES;
    }
    return self;
}

#pragma mark - UIViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    UIBarButtonItem *button1 = [[UIBarButtonItem alloc] initWithTitle:@"Map" style:UIBarButtonItemStylePlain target:self action:@selector(toggleLevels)];
    UIBarButtonItem *button2 = [[UIBarButtonItem alloc] initWithTitle:@"Over." style:UIBarButtonItemStylePlain target:self action:@selector(toggleOverview)];
    UIBarButtonItem *button3 = [[UIBarButtonItem alloc] initWithTitle:@"Loc." style:UIBarButtonItemStylePlain target:self action:@selector(toggleLocation)];
    UIBarButtonItem *button4 = [[UIBarButtonItem alloc] initWithTitle:@"Acc." style:UIBarButtonItemStylePlain target:self action:@selector(toggleAccessibility)];
    self.navigationItem.rightBarButtonItems = @[button1, button2, button3, button4];}

#pragma mark - MSExampleViewController

+ (NSString *)exampleTitle {
    return @"Button Visibility";
}

+ (NSString *)exampleInfo {
    return @"Example of how to show/hide map buttons.\n\n"
    @"• `Acc.` button to toggle accessibility button visibility (during directions only).\n"
    @"• `Loc.` button to toggle location button visibility.\n"
    @"• `Over.` button to toggle overview button visibility.\n"
    @"• `Map` button to toggle map picker visibility.\n";
}

#pragma mark - Action

- (void)toggleLevels {
    self.mapView.showsMapPicker = !self.mapView.showsMapPicker;
}

- (void)toggleOverview {
    self.mapView.showsOverviewButton = !self.mapView.showsOverviewButton;
}

- (void)toggleLocation {
    self.mapView.showsLocationButton = !self.mapView.showsLocationButton;
}

- (void)toggleAccessibility {
    self.mapView.showsAccessibilityButton = !self.mapView.showsAccessibilityButton;
}

@end
