#import "MSShowsPlacemarksViewController.h"

@implementation MSShowsPlacemarksViewController

- (id)initWithNibName:(NSString *)name bundle:(NSBundle *)bundle {
    if ((self = [super initWithNibName:name bundle:bundle])) {
        self.mapView.mapKey = [MREditorKey keyForMap:[MSExampleHost mapID] app:[MSExampleHost appID]];
        self.mapView.showsPlacemarks = NO;
        self.mapView.showsTags = NO;
    }
    return self;
}

#pragma mark - UIViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    UIBarButtonItem *button1 = [[UIBarButtonItem alloc] initWithTitle:@"Tags" style:UIBarButtonItemStylePlain target:self action:@selector(toggleTags)];
    UIBarButtonItem *button2 = [[UIBarButtonItem alloc] initWithTitle:@"Placemarks" style:UIBarButtonItemStylePlain target:self action:@selector(togglePlacemarks)];
    
    self.navigationItem.rightBarButtonItems = @[button1, button2];
}

#pragma mark - MSExampleViewController

+ (NSString *)exampleTitle {
    return @"Placemark & Tag Visibility";
}

+ (NSString *)exampleInfo {
    return @"Example of how to programmatically show/hide map placemarks & tags.\n\n"
    @"• Placemarks and tags are initially hidden.\n"
    @"• Buttons to toggle visibility.\n";
}

#pragma mark - Action

- (void)togglePlacemarks {
    self.mapView.showsPlacemarks = !self.mapView.showsPlacemarks;
}

- (void)toggleTags {
    self.mapView.showsTags = !self.mapView.showsTags;
}

@end
